質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.02%
Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

解決済

Python pyaudioの導入

HiroakiTsugawa
HiroakiTsugawa

総合スコア13

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

2回答

0グッド

0クリップ

3648閲覧

投稿2015/12/16 06:21

###前提・実現したいこと
macを使用しておりPythonのモジュールの一つであるpyaudioをインストールしたいのですが以下のようなエラーが出ます。対処方法を教えていただけないでしょうか?

###発生している問題・エラーメッセージ
tsugawahiroaki-no-MacBook-Pro:study Hiroaki$ pip install pyaudio
Collecting pyaudio
Using cached PyAudio-0.2.9.tar.gz
Installing collected packages: pyaudio
Running setup.py install for pyaudio
Complete output from command /usr/bin/python -c "import setuptools, tokenize;file='/private/var/folders/xt/n015ngwn5bs42r276_p7jk0m0000gn/T/pip-build-wvbZmU/pyaudio/setup.py';exec(compile(getattr(tokenize, 'open', open)(file).read().replace('\r\n', '\n'), file, 'exec'))" install --record /var/folders/xt/n015ngwn5bs42r276_p7jk0m0000gn/T/pip-CpVNdJ-record/install-record.txt --single-version-externally-managed --compile:
running install
running build
running build_py
creating build
creating build/lib.macosx-10.10-intel-2.7
copying src/pyaudio.py -> build/lib.macosx-10.10-intel-2.7
running build_ext
building '_portaudio' extension
creating build/temp.macosx-10.10-intel-2.7
creating build/temp.macosx-10.10-intel-2.7/src
cc -fno-strict-aliasing -fno-common -dynamic -arch x86_64 -arch i386 -g -Os -pipe -fno-common -fno-strict-aliasing -fwrapv -DENABLE_DTRACE -DMACOSX -DNDEBUG -Wall -Wstrict-prototypes -Wshorten-64-to-32 -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE -arch x86_64 -arch i386 -pipe -DMACOSX=1 -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c src/_portaudiomodule.c -o build/temp.macosx-10.10-intel-2.7/src/_portaudiomodule.o
cc -bundle -undefined dynamic_lookup -arch x86_64 -arch i386 -Wl,-F. build/temp.macosx-10.10-intel-2.7/src/_portaudiomodule.o -lportaudio -o build/lib.macosx-10.10-intel-2.7/_portaudio.so
ld: warning: ignoring file /usr/local/lib/libportaudio.dylib, file was built for x86_64 which is not the architecture being linked (i386): /usr/local/lib/libportaudio.dylib
running install_lib
copying build/lib.macosx-10.10-intel-2.7/_portaudio.so -> /Library/Python/2.7/site-packages
error: [Errno 13] Permission denied: '/Library/Python/2.7/site-packages/_portaudio.so'

----------------------------------------

Command "/usr/bin/python -c "import setuptools, tokenize;file='/private/var/folders/xt/n015ngwn5bs42r276_p7jk0m0000gn/T/pip-build-wvbZmU/pyaudio/setup.py';exec(compile(getattr(tokenize, 'open', open)(file).read().replace('\r\n', '\n'), file, 'exec'))" install --record /var/folders/xt/n015ngwn5bs42r276_p7jk0m0000gn/T/pip-CpVNdJ-record/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /private/var/folders/xt/n015ngwn5bs42r276_p7jk0m0000gn/T/pip-build-wvbZmU/pyaudio

###ソースコード

ここにご自身が実行したソースコードを書いてください

###補足情報(言語/FW/ツール等のバージョンなど)

以下のような質問にはグッドを送りましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

グッドが多くついた質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

回答2

0

hiro-kさん
ご回答ありがとうございました。
最終的に一旦macに標準で使用しているpythonでなく公式サイトからpython及びhomebrewとpipを再インストールができました。
アドバイスありがとうございました。

投稿2015/12/17 06:42

HiroakiTsugawa

総合スコア13

良いと思った回答にはグッドを送りましょう。
グッドが多くついた回答ほどページの上位に表示されるので、他の人が素晴らしい回答を見つけやすくなります。

下記のような回答は推奨されていません。

  • 間違っている回答
  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

0

ベストアンサー

copying build/lib.macosx-10.10-intel-2.7/_portaudio.so -> /Library/Python/2.7/site-packages
error: [Errno 13] Permission denied: '/Library/Python/2.7/site-packages/_portaudio.so'
とあるので、build/lib.macosx-10.10-intel-2.7/_portaudio.so を /Library/Python/2.7/site-packages へコピーすることが権限が無いためにできない状態です。

pip install pyaudio を実行する時に、管理者権限が必要なのではないでしょうか?

投稿2015/12/16 06:28

hiro-k

総合スコア902

良いと思った回答にはグッドを送りましょう。
グッドが多くついた回答ほどページの上位に表示されるので、他の人が素晴らしい回答を見つけやすくなります。

下記のような回答は推奨されていません。

  • 間違っている回答
  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.02%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。